View Issue Details

IDProjectCategoryView StatusLast Update
0002098Far ManagerPanelpublic2012-05-16 17:08
ReportershmuelAssigned To2useven10 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002098: Файл, созданный внеш. прогр-мой, не появл-ся в актив. панели
DescriptionФар 3.0.2669 х86 (без плагинов), Windows XP SP3 x86.
В редакторе SciTE сохраняю сессию в директорию активной панели Фара. Файл не
появляется в панели и при переходе в Фар, пока
TagsNo tags attached.
Build2675

Activities

shmuel

2012-05-11 12:40

developer   bugnote:0009150

... пока не сделаешь CtrlR или смену директории туда-обратно.

DrKnS

2012-05-11 12:51

administrator   bugnote:0009151

Фича.

Пока фар в фоне, слежение за папкой не производится, дабы не лочить.

При возврате в фар папка перечитывается, если изменилось её last write time.

У вас не изменилось, видимо какой-то FAT.

shmuel

2012-05-11 13:05

developer   bugnote:0009152

Да нет, прекрасно воспроизводится и на NTFS.

DrKnS

2012-05-11 13:06

administrator   bugnote:0009153

Тогда подробности в студию, у меня работает.

shmuel

2012-05-11 13:13

developer   bugnote:0009154

1. Запускаю Фар. Перехожу в "C:\Program Files\Far3".
2. Запускаю SciTE.
3. В SciTE выполняю команду "Save Session...", имя указываю произвольное.
4. AltTab, перешёл в Фар, попадаю сразу в активную папку "C:\Program Files\Far3".
5. Жду появления файла 10-20 секунд. Нету.
6. Нажимаю Ctrl-R. Есть.

shmuel

2012-05-11 13:22

developer   bugnote:0009155

Кстати, для меня, например, было бы желательно, чтобы "какой-то FAT" тоже работал, как это всегда прежде было.

shmuel

2012-05-11 14:04

developer   bugnote:0009156

На всякий случай, дополнительная информация:
-- диск C: - NTFS
-- диск, на котором установлен SciTE - FAT32

2useven10

2012-05-11 14:14

developer   bugnote:0009157

Last edited: 2012-05-11 14:20

View 2 revisions

на xp - воспроизводится, на win7 - нет.
все диски ntfs.
причём именно session, если сохранять файл - обновление работает.

shmuel

2012-05-11 14:22

developer   bugnote:0009158

Last edited: 2012-05-11 14:25

View 2 revisions

А Denis в форуме пишет:
> Аналогично, только редактор VS2008.
> Win7 x64 sp1
> Far 3.0 build 2669 x64

2useven10

2012-05-11 14:32

developer   bugnote:0009159

Last edited: 2012-05-11 14:36

View 2 revisions

c VS2008 у меня всё ок.
не перечитывает только SciTE/Save Session на XP.

Denis

2012-05-11 15:44

reporter   bugnote:0009160

Сейчас с win7/VS2008 не повторяется.

shmuel

2012-05-11 15:52

developer   bugnote:0009161

Last edited: 2012-05-11 19:36

View 2 revisions

Да, и у меня повторяется не всегда (заметил уже после того, как создал этот "инцидент" на мантисе).

shmuel

2012-05-11 20:53

developer   bugnote:0009163

Цитата по теме (RU-BOARD, Victor_VG)
> А вот как бы прикрутить в панели вызов Ctrl+R при переходе фар
> из фона на передний план (в фокус) пока не придумал - после
> отключения мониторинга ФС в 2656 под XP NTFS считай мониторится
> на изменения через раз. Особенно в каталоге загрузки - качалка
> файл приволокла, а фар не видит пока не вызвал CtrlR.

2useven10

2012-05-12 19:29

developer   bugnote:0009169

2673 - на пробу, у меня полечилось.

DrKnS - посмотри изменения, на предмет 'вдруг так нельзя...'

DrKnS

2012-05-12 19:46

administrator   bugnote:0009170

А в чем суть - кеш не обновлялся?

2useven10

2012-05-12 20:18

developer   bugnote:0009171

Видимо да. Решение эмпирическое, тест показал, что дата через find для SciTE save session в find обновляется с запаздыванием, а через gettime сразу.
Это на XP, под Win7 проблему не наблюдал. Раскапывать почему не стал.

shmuel

2012-05-12 20:41

developer   bugnote:0009172

Ну теперь ещё бы FAT полечить, и было бы совсем здорово.

2useven10

2012-05-12 22:28

developer   bugnote:0009173

На самом деле FAT можно обновлять принудительно при получении фокуса. Не такая уж и частая операция...

shmuel

2012-05-12 22:41

developer   bugnote:0009174

Last edited: 2012-05-12 22:45

View 2 revisions

А почему бы тогда и NTFS не обновлять вручную? Назовём это фичей - и всё.
P.S.
Если под "принудительно" не имелось в виду "вручную", тогда извиняюсь.

2useven10

2012-05-12 23:01

developer   bugnote:0009175

Last edited: 2012-05-12 23:08

View 2 revisions

для NTFS логика: при получении фокуса проверяется время обновления каталога.
для FAT она не работает, но можно в этом случае при получении фокуса обновлять панели всегда.
плюс (imho) опция 'не отключать мониторинг при потере фокуса', вполне может быть востребована.

shmuel

2012-05-12 23:08

developer   bugnote:0009176

Полностью согласен. Работа с папками, содержащими десятки тысяч файлов - редкость. А лишний раз перечитать папку, в которой 10-100 файлов (типичный случай), для современных компьютеров не в тягость.

Denis

2012-05-13 18:10

reporter   bugnote:0009177

Всё ещё повторяется даже на NTFS.
На панели Far'a открыт каталог, в который я скачиваю файл оперой (11.64). После окончания скачивания возвращаюсь в Far - размер файла на панели всё ешё 0, хотя опера качать уже закончила.
win7 x32 sp1
Far 3.0 build 2673

2useven10

2012-05-14 13:03

developer   bugnote:0009183

Тупик. Время обновления каталога вообще не изменяется после создания файла.

2useven10

2012-05-14 14:26

developer   bugnote:0009185

Last edited: 2012-05-14 16:58

View 3 revisions

2675 - критикуйте.
опознаётся FAT (требуется проверка - под рукой FAT-ов нет).
добавлена опция по включению фичи (по-умолчанию отключена в силу предыдущих постов).
мнения о нужности опции, месте (system setting в panel settings нет места),
названии (rus, eng) и тексте хэлпа приветствуются.

shmuel

2012-05-14 16:27

developer   bugnote:0009189

Билд 2675 проверил на FAT32, как с опцией "Smart folder panel monitor", так и без неё. Всё хорошо.

Issue History

Date Modified Username Field Change
2012-05-11 12:35 shmuel New Issue
2012-05-11 12:40 shmuel Note Added: 0009150
2012-05-11 12:51 DrKnS Note Added: 0009151
2012-05-11 13:05 shmuel Note Added: 0009152
2012-05-11 13:06 DrKnS Note Added: 0009153
2012-05-11 13:13 shmuel Note Added: 0009154
2012-05-11 13:22 shmuel Note Added: 0009155
2012-05-11 14:04 shmuel Note Added: 0009156
2012-05-11 14:14 2useven10 Note Added: 0009157
2012-05-11 14:20 2useven10 Note Edited: 0009157 View Revisions
2012-05-11 14:22 shmuel Note Added: 0009158
2012-05-11 14:25 shmuel Note Edited: 0009158 View Revisions
2012-05-11 14:32 2useven10 Note Added: 0009159
2012-05-11 14:36 2useven10 Note Edited: 0009159 View Revisions
2012-05-11 15:44 Denis Note Added: 0009160
2012-05-11 15:52 shmuel Note Added: 0009161
2012-05-11 19:36 shmuel Note Edited: 0009161 View Revisions
2012-05-11 20:53 shmuel Note Added: 0009163
2012-05-12 19:29 2useven10 Note Added: 0009169
2012-05-12 19:29 2useven10 Assigned To => 2useven10
2012-05-12 19:29 2useven10 Status new => feedback
2012-05-12 19:46 DrKnS Note Added: 0009170
2012-05-12 20:18 2useven10 Note Added: 0009171
2012-05-12 20:41 shmuel Note Added: 0009172
2012-05-12 20:41 shmuel Status feedback => assigned
2012-05-12 22:28 2useven10 Note Added: 0009173
2012-05-12 22:41 shmuel Note Added: 0009174
2012-05-12 22:45 shmuel Note Edited: 0009174 View Revisions
2012-05-12 23:01 2useven10 Note Added: 0009175
2012-05-12 23:08 2useven10 Note Edited: 0009175 View Revisions
2012-05-12 23:08 shmuel Note Added: 0009176
2012-05-13 18:10 Denis Note Added: 0009177
2012-05-14 13:03 2useven10 Note Added: 0009183
2012-05-14 14:26 2useven10 Note Added: 0009185
2012-05-14 14:26 2useven10 Status assigned => feedback
2012-05-14 14:37 2useven10 Note Edited: 0009185 View Revisions
2012-05-14 16:27 shmuel Note Added: 0009189
2012-05-14 16:27 shmuel Status feedback => assigned
2012-05-14 16:27 shmuel Status assigned => resolved
2012-05-14 16:58 2useven10 Note Edited: 0009185 View Revisions
2012-05-16 17:08 2useven10 Build => 2675
2012-05-16 17:08 2useven10 Status resolved => closed
2012-05-16 17:08 2useven10 Resolution open => fixed
2012-05-16 17:08 2useven10 Fixed in Version => 3.0